#ifndef __DRONEDGE_PROTOCOL_H__
#define __DRONEDGE_PROTOCOL_H__

#define POSITION_ARRAY_SIZE 5
#define SPEED_ARRAY_SIZE 3

/*
 * 0. latitude (double, degrees)
 * 1. longitude (double, degrees)
 * 2. absolute altitude (double, meters)
 * 3. relative altitude (double, meters)
 * 4. timestamp (double, milliseconds)
*/
typedef enum
{
  LATITUDE = 0x0,
  LONGITUDE,
  ABS_ALTITUDE,
  REL_ALTITUDE,
  TIMESTAMP,
} POSITION_ENUM;

/*
 * 0. yaw angle (float, degrees)
 * 1. air speed (float, m/s)
 * 2. climb rate (float, m/s)
*/
typedef enum
{
  YAW = 0x0,
  SPEED,
  CLIMB_RATE,
} SPEED_ENUM;

#endif /* __DRONEDGE_PROTOCOL_H__ */
